import request from "@/scripts/httpRequest";
import qs from "qs";

// 查询所有算法
export const findAllSdk = (query: any) => {
  return request({
    url: "/data/api-v/sdk/findAllSdk",
    method: "get",
    params: query
  });
};

// 查找所有任务，包含任务信息和对应的算法信息
export const findAll = (query: any) => {
  return request({
    url: "/data/api-v/task/findAll",
    method: "get",
    params: query
  });
};

// 给任务添加算法
export const addTaskSdk = (query: any) => {
  return request({
    url: "/data/api-v/task/addTaskSdk",
    method: "post",
    data: query
  })
}

// 给任务删除算法
export const delTaskSdk = (query: any) => {
  return request({
    url: "/data/api-v/task/delTaskSdk",
    method: 'get',
    params: query
  })
}

// 删除任务
export const deleteTask = (query: any) => {
  return request({
    url: '/data/api-v/task/delete',
    method: 'get',
    params: query
  })
}

// 更新任务状态
export const updateTaskStatus = (query: any) => {
  return request({
    url: '/data/api-v/task/updateTaskStatus',
    method: 'post',
    data: query
  })
}

// 更新任务名称
export const updateTaskName = (query: any) => {
  return request({
    url: '/data/api-v/task/updateTaskName',
    method: 'post',
    data: qs.stringify(query)
  })
}

// 获取算法参数
export const getSdkArgs = (query: any) => {
  return request({
    url: '/data/api-v/sdkArg/getSdkArgs',
    method: 'get',
    params: query
  })
}

// 算法参数保存
export const saveTaskSdkRule = (query: any) => {
  return request({
    url: '/data/api-v/task/saveTaskSdkRule',
    method: 'post',
    data: query
  })
}

// 添加任务
export const addTask = (query: any) => {
  return request({
    url: '/data/api-v/task/addTask',
    method: 'post',
    data: query
  })
}

// 查询算法规则
export const getRulesByTaskSdk = (query: any) => {
  return request({
    url: '/data/api-v/task/getRulesByTaskSdk',
    method: 'get',
    params: query
  })
}

// 恢复默认
export const deleteTaskSdkRule = (query: any) => {
  return request({
    url: '/data/api-v/task/deleteTaskSdkRule',
    method: 'post',
    data: qs.stringify(query)
  })
}

// 根据类型查找字典
export const findByType = (query: any) => {
  return request({
    url: '/saas/api-s/dictionary/findByType',
    method: "get",
    params: query
  })
}

// 查询检索标签
export const getTagList = (query: any) => {
  return request({
    url: '/data/api-v/es/tagList',
    method: 'post',
    data: query
  })
}

export const downloadSdk = (query: any) => {
  return request({
    url: '/data/api-v/sdk/sdkDownload',
    method: 'get',
    params: query
  })
}

//安装已上传的算法接口
export const installSdk = (file: any) => {
  return request({
    url: '/data/api-v/sdk/install',
    method: 'post',
    params: file
  })
}